package com.liquidnet.service.bank.currencycloud.service.impl;
import com.alibaba.fastjson.JSON;
import com.liquidnet.service.ResponseDto;
import com.liquidnet.service.bank.currencycloud.dto.BankCcAccountParam;
import com.liquidnet.service.bank.currencycloud.entity.BankCcAccount;
import com.liquidnet.service.bank.currencycloud.service.IBankCcAccountService;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

/**
 * @author Li Chen
 * @date 2020-10-12 14:55
 */
@SpringBootTest
@RunWith(SpringRunner.class)
public class BankCcAccountServiceImplTest {

    @Autowired
    private IBankCcAccountService bankCcAccountService;


    @Test
    public void createAccount() {

        BankCcAccountParam param = new BankCcAccountParam();
        param.setAccountName("lichen_company_1");
        param.setLegalEntityType("company");
        param.setStreet("街道");
        param.setCity("市");
        param.setPostalCode("100020");
        param.setCountry("US");
        param.setStateOrProvince("CO");

        ResponseDto<BankCcAccount> account1 = bankCcAccountService.createAccount(param);
        System.out.println("测试1" + JSON.toJSONString(account1));

    }

}